Bug 24452 - Advanced editor - show multiple spaces visually
Summary: Advanced editor - show multiple spaces visually
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-17 14:59 UTC by Cori Lynn Arnold
Modified: 2020-02-14 03:18 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03, 19.05.08


Attachments
Bug 24452: Advanced editor - show multiple spaces visually (2.60 KB, patch)
2020-01-17 15:07 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24452: Advanced editor - show multiple spaces visually (2.65 KB, patch)
2020-01-17 17:12 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24452: Advanced editor - show multiple spaces visually (2.71 KB, patch)
2020-01-22 07:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Cori Lynn Arnold 2020-01-17 14:59:10 UTC
Currently end of the line spaces are shown by highlighting them. Catalogers would like to see where there are duplicate spaces in a line so they can remove them.
Comment 1 Owen Leonard 2020-01-17 15:07:07 UTC
Created attachment 97531 [details] [review]
Bug 24452: Advanced editor - show multiple spaces visually

This patch updates the JavaScript and CSS for the advanced MARC editor
so that multiple consecutive spaces within a line will be detected and
highlighted.

To test the EnableAdvancedCatalogingEditor system preference should be
enabled. Apply the patch and clear your browser cache if necessary.

 - Go to Cataloging -> Advanced editor.
 - On any text entry line (e.g. 245), enter some words with one, two,
   and more spaces in between them. When there are two or more spaces
   between words the spaces between the words should have a dotted red
   underline.
 - Remove the extra spaces and confirm that the dotted line disappears.
Comment 2 ByWater Sandboxes 2020-01-17 17:12:39 UTC
Created attachment 97548 [details] [review]
Bug 24452: Advanced editor - show multiple spaces visually

This patch updates the JavaScript and CSS for the advanced MARC editor
so that multiple consecutive spaces within a line will be detected and
highlighted.

To test the EnableAdvancedCatalogingEditor system preference should be
enabled. Apply the patch and clear your browser cache if necessary.

 - Go to Cataloging -> Advanced editor.
 - On any text entry line (e.g. 245), enter some words with one, two,
   and more spaces in between them. When there are two or more spaces
   between words the spaces between the words should have a dotted red
   underline.
 - Remove the extra spaces and confirm that the dotted line disappears.

Signed-off-by: Cori Lynn Arnold <carnold@dgiinc.com>
Comment 3 Cori Lynn Arnold 2020-01-17 17:13:12 UTC
Absolutely fantastic! Thank you!
Comment 4 Katrin Fischer 2020-01-22 07:15:15 UTC
Created attachment 97692 [details] [review]
Bug 24452: Advanced editor - show multiple spaces visually

This patch updates the JavaScript and CSS for the advanced MARC editor
so that multiple consecutive spaces within a line will be detected and
highlighted.

To test the EnableAdvancedCatalogingEditor system preference should be
enabled. Apply the patch and clear your browser cache if necessary.

 - Go to Cataloging -> Advanced editor.
 - On any text entry line (e.g. 245), enter some words with one, two,
   and more spaces in between them. When there are two or more spaces
   between words the spaces between the words should have a dotted red
   underline.
 - Remove the extra spaces and confirm that the dotted line disappears.

Signed-off-by: Cori Lynn Arnold <carnold@dgiinc.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2020-01-22 07:16:21 UTC
Note: With the helpers on 00x deactivated it will also show the wanted whitespace there.
Comment 6 Martin Renvoize 2020-01-23 10:36:14 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-02-06 23:24:49 UTC
Pushed to 19.11.x branch for 19.11.03
Comment 8 Lucas Gass 2020-02-13 20:55:35 UTC
backported to 19.05.x for 19.05.08
Comment 9 Hayley Mapley 2020-02-14 03:18:04 UTC
Enhancement will not be backported to 18.11.x series.